Les fichiers sources
Site dynamique original : Reload page

( Reponse du 26/04/2024 16:21:22 UTC, par serveur :
    SERVER NAME : "www.trousperdu.org"
    SERVER_PORT : "80"
 Suite a la requete :
    HTTP_HOST : "trousperdu.org"
    REQUEST_URI : "/cgi-bin/viewsource.bin?/usr/sbin/pppoe-status"
 Adresse du demandeur : "3.20.238.187" ) :


LE SOURCE DU FICHIER "/mnt/hda1/usr/sbin/pppoe-status"
 ( du 18/04/2016 12:11:09 UTC ) :
-rwxr-xr-x 1 root root 2271 Apr 18 2016 /mnt/hda1/usr/sbin/pppoe-status
#!/bin/sh
#***********************************************************************
#
# pppoe-status
#
# Shell script to report on status of PPPoE connection
#
# Copyright (C) 2000-2001 Roaring Penguin Software Inc.
#
# $Id: pppoe-status,v 1.1 2005/08/09 02:49:18 dfs Exp $
#
# This file may be distributed under the terms of the GNU General
# Public License.
#
# LIC: GPL
#
# Usage: pppoe-status [config_file]
# If config_file is omitted, defaults to /etc/ppp/pppoe.conf
#
#***********************************************************************

# Defaults
CONFIG=/etc/ppp/pppoe.conf

case "$#" in
    1)
	CONFIG="$1"
	;;
esac

if [ ! -f "$CONFIG" -o ! -r "$CONFIG" ] ; then
    echo "$0: Cannot read configuration file '$CONFIG'" >& 2
    exit 1
fi

. $CONFIG

PPPOE_PIDFILE="$PIDFILE.pppoe"
PPPD_PIDFILE="$PIDFILE.pppd"

if [ "$DEMAND" != "no" ] ; then
    echo "Note: You have enabled demand-connection; pppoe-status may be inaccurate."
fi

# If no PPPOE_PIDFILE, connection is down, unless we're using the Linux plugin
if [ "$LINUX_PLUGIN" = "" ] ; then
    if [ ! -r "$PPPOE_PIDFILE" ] ; then
	echo "pppoe-status: Link is down (can't read pppoe PID file $PPPOE_PIDFILE)"
	exit 1
    fi
fi

# If no PPPD_PIDFILE, something fishy!
if [ ! -r "$PPPD_PIDFILE" ] ; then
    echo "pppoe-status: Link is down (can't read pppd PID file $PPPD_PIDFILE)"
    exit 1
fi

PPPD_PID=`cat "$PPPD_PIDFILE"`

# Sigh.  Some versions of pppd put PID files in /var/run; others put them
# in /etc/ppp.  Since it's too messy to figure out what pppd does, we
# try both locations.
for i in /etc/ppp/ppp*.pid /var/run/ppp*.pid ; do
    if [ -r $i ] ; then
	PID=`cat $i`
	if [ "$PID" = "$PPPD_PID" ] ; then
	    IF=`basename $i .pid`
	    netstat -rn | grep " ${IF}\$" > /dev/null
	    # /sbin/ifconfig $IF | grep "UP.*POINTOPOINT" > /dev/null
	    if [ "$?" != "0" ] ; then
		echo "pppoe-status: Link is attached to $IF, but $IF is down"
		exit 1
	    fi
	    echo "pppoe-status: Link is up and running on interface $IF"
	    /sbin/ifconfig $IF
	    exit 0
	fi
    fi
done

echo "pppoe-status: Link is down -- could not find interface corresponding to"
echo "pppd pid $PPPD_PID"
exit 1

#
Retour a la page d'appel du web source
#



Adresse du demandeur : "3.20.238.187"

NC imcp.ba@trousperdu.org imcp.ba@free.fr IMCP Blandy Alain
Statistiques